Processing (gdal) dissolve polygon fails

2017-01-26 06:45 AM - matteo ghetta

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/OGR

Affected QGIS version:master Regression?: No

Operating System: Linux Mint Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 24034

Description

with test data (dissolve_polys, polys, multypolys) the algorithm always fails. This the error:

GDAL command output:

Warning 6: Normalized/laundered field name: 'ST_Union('geometry')' to 'ST_Union('' 

Converting outputs

Loading resulting layers

The following layers were not correctly generated.

Dissolved

You can check the log messages to find more information about the execution of the algorithm

Associated revisions

Revision 44698d45 - 2017-02-07 03:57 PM - Alexander Bruy

[processing] don't quote geometry column name (fix #16122)

History

#1 - 2017-02-07 06:52 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"44698d4576d474740cbea8b1955d7ba9f9de27f9".

#2 - 2017-02-07 08:39 AM - Giovanni Manghi

- Status changed from Closed to In Progress

- Category changed from Processing/GRASS to Processing/OGR

#3 - 2017-02-12 01:18 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from In Progress to Closed

This is error

Warning 6: Normalized/laundered field name: 'ST_Union('geometry')' to 'ST_Union(''
is an ogr2ogr problem and not a qgis one.

It only happens when dissolving using a text attribute and one of the features has 0 area and the attribute empty, as it happens for one of the features in

the dissolve_polys sample data.

Is definitely a edge case, that must be addressed upstream.

#4 - 2017-02-12 09:26 PM - Paolo Cavallini

Could you please open a ticket upstream?

Thanks.
